Z3 |

Public Member Functions
StringSymbol Class Reference
Inheritance diagram for StringSymbol:

## Public Member Functions
String | getString ()
Public Member Functions inherited from Symbol
boolean | isIntSymbol ()
boolean | isStringSymbol ()
boolean | equals (Object o)
String | toString ()

## Additional Inherited Members
Static Public Member Functions inherited from Z3Object
static long[] | arrayToNative (Z3Object[] a)
static int | arrayLength (Z3Object[] a)
Protected Member Functions inherited from Symbol
Z3_symbol_kind | getKind ()
| Symbol (Context ctx, long obj)

## Detailed Description

Named symbols

Definition at line 25 of file StringSymbol.java.

## Member Function Documentation

## ◆ getString()

String getString | ( |  | ) |
| inline

The string value of the symbol. Remarks: Throws an exception if the symbol is not of string kind.

Definition at line 32 of file StringSymbol.java.

33 {
34 return Native.getSymbolString(getContext().nCtx(), getNativeObject());
35 }